org.jbpm.services.task.audit.impl.model

## Class TaskVariableImpl_

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.TaskVariableImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskVariableImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Date>` | `modificationDate`
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,String>` | `name`
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Long>` | `taskId`
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,org.kie.internal.task.api.TaskVariable.VariableType>` | `type`
    `static javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,String>` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskVariableImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Long> processInstanceId

    - #### modificationDate

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Date> modificationDate

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,String> processId

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,String> name

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Long> id

    - #### type

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,org.kie.internal.task.api.TaskVariable.VariableType> type

    - #### value

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,String> value

    - #### taskId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskVariableImpl,Long> taskId

  - ### Constructor Detail

    - #### TaskVariableImpl_

          public TaskVariableImpl_()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.